public static interface GoogleDriveEndpointBuilderFactory.GoogleDriveBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder |
googleDrive(String path)
Google Drive (camel-google-drive)
Manage files in Google Drive.
|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder |
googleDrive(String componentName,
String path)
Google Drive (camel-google-drive)
Manage files in Google Drive.
|
default GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder googleDrive(String path)
google-drive:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: drive-about, drive-apps, drive-changes,
drive-channels, drive-children, drive-comments, drive-files,
drive-parents, drive-permissions, drive-properties, drive-realtime,
drive-replies, drive-revisions
Path parameter: methodName (required)
What sub operation to use for the selected operation
The value can be one of: copy, delete, get, getIdForEmail, insert,
list, patch, stop, touch, trash, untrash, update, watchpath - apiName/methodNamedefault GoogleDriveEndpointBuilderFactory.GoogleDriveEndpointBuilder googleDrive(String componentName, String path)
google-drive:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: drive-about, drive-apps, drive-changes,
drive-channels, drive-children, drive-comments, drive-files,
drive-parents, drive-permissions, drive-properties, drive-realtime,
drive-replies, drive-revisions
Path parameter: methodName (required)
What sub operation to use for the selected operation
The value can be one of: copy, delete, get, getIdForEmail, insert,
list, patch, stop, touch, trash, untrash, update, watchcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel